dependency-proxy:
  stage: optional-features
  image: docker:20.10.16
  services:
  - docker:20.10.16-dind
  script:
    - echo "INFO - The dependency proxy only works in group namespaces and not personal namespaces."
    - docker login $CI_DEPENDENCY_PROXY_SERVER -u $CI_DEPENDENCY_PROXY_USER -p $CI_DEPENDENCY_PROXY_PASSWORD
    - docker pull ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/alpine:latest